<header fxLayout="row" fxLayoutAlign="space-between stretch">
  <div class="content">
    <img class="logo pointer" src="../../../../assets/images/logo.png" alt="logo" [routerLink]="'/pages'">
  </div>
  <div fxLayout="row" fxLayoutAlign="center center">
    <div class="content user">
      <button mat-button [matMenuTriggerFor]="userMenu">
      <span class="mat-button-wrapper">
        <div  fxLayout="row" fxLayoutAlign="space-evenly center">
          <img class="avatar mr-3" [src]="user.image" alt="avatar" *ngIf="user.image; else noImageFound">
          <ng-template #noImageFound>
            <img class="avatar mr-3" src="../../../../assets/images/avatar.png" alt="avatar">
          </ng-template>
          <span class="mr-3">{{ user.username }}</span>
          <fa-icon class="arrow" [icon]="faArrow"></fa-icon>
        </div>
      </span>
      </button>
    </div>
    <div class="toolbar-separator"></div>
    <div class="content language">
      <button mat-button id="flagButton">
        <img class="mr-2" [src]="'assets/images/flags/'+locale.toLowerCase()+'.png'" alt="flag">
        <span>{{ locale }}</span>
      </button>
    </div>
    <div class="toolbar-separator"></div>
    <div class="content logout">
      <button mat-button [matMenuTriggerFor]="appMenu">
        <fa-icon class="power" [icon]="faList"></fa-icon>
      </button>
    </div>
  </div>
</header>

<mat-menu #userMenu>
  <button mat-menu-item class="poppins" (click)="goToUserSettings()" fxLayout="row" fxLayoutAlign="space-between center">
    <span class="va-top">Settings</span>
    <fa-icon [icon]="faSettings" class="mat-menu-user-icon ml-3"></fa-icon>
  </button>
  <button mat-menu-item (click)="changePassword()" fxLayout="row" fxLayoutAlign="space-between center">
    <span class="va-top">Change Password</span>
    <fa-icon [icon]="faKey" class="mat-menu-user-icon ml-3"></fa-icon>
  </button>
  <button mat-menu-item (click)="logout()" fxLayout="row" fxLayoutAlign="space-between center">
    <span class="va-top">Logout</span>
    <fa-icon [icon]="faExit" class="mat-menu-user-icon ml-3"></fa-icon>
  </button>
</mat-menu>

<mat-menu #appMenu class="mat-menu-app">
  <button mat-menu-item class="d-inline-block inherit-width">
    <fa-icon [icon]="faBasket" class="mat-menu-app-icon"></fa-icon>
  </button>
  <button mat-menu-item class="d-inline-block inherit-width">
    <fa-icon [icon]="faCatalog" class="mat-menu-app-icon"></fa-icon>
  </button>
  <a routerLink="/pages/svg">
    <button mat-menu-item class="d-inline-block inherit-width">
      <fa-icon [icon]="faSvg" class="mat-menu-app-icon"></fa-icon>
    </button>
  </a>
</mat-menu>
